@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%"=="" @echo off
@rem ##########################################################################
@rem
@rem  serving startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%"=="" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and SERVING_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if %ERRORLEVEL% equ 0 goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\serving-0.19.0.jar;%APP_HOME%\lib\wlm-0.19.0.jar;%APP_HOME%\lib\python-0.19.0.jar;%APP_HOME%\lib\netty-codec-http-4.1.86.Final.jar;%APP_HOME%\lib\netty-transport-native-epoll-4.1.86.Final-linux-aarch_64.jar;%APP_HOME%\lib\netty-transport-native-epoll-4.1.86.Final-linux-x86_64.jar;%APP_HOME%\lib\netty-transport-native-kqueue-4.1.86.Final-osx-aarch_64.jar;%APP_HOME%\lib\netty-transport-native-kqueue-4.1.86.Final-osx-x86_64.jar;%APP_HOME%\lib\snakeyaml-1.32.jar;%APP_HOME%\lib\commons-cli-1.5.0.jar;%APP_HOME%\lib\log4j-slf4j-impl-2.18.0.jar;%APP_HOME%\lib\disruptor-3.4.4.jar;%APP_HOME%\lib\model-zoo-0.19.0.jar;%APP_HOME%\lib\mxnet-model-zoo-0.19.0.jar;%APP_HOME%\lib\tensorflow-model-zoo-0.19.0.jar;%APP_HOME%\lib\pytorch-model-zoo-0.19.0.jar;%APP_HOME%\lib\tensorrt-0.19.0.jar;%APP_HOME%\lib\mxnet-engine-0.19.0.jar;%APP_HOME%\lib\pytorch-engine-0.19.0.jar;%APP_HOME%\lib\tensorflow-engine-0.19.0.jar;%APP_HOME%\lib\api-0.19.0.jar;%APP_HOME%\lib\tensorflow-api-0.19.0.jar;%APP_HOME%\lib\slf4j-api-1.7.36.jar;%APP_HOME%\lib\netty-handler-4.1.86.Final.jar;%APP_HOME%\lib\netty-codec-4.1.86.Final.jar;%APP_HOME%\lib\netty-transport-classes-epoll-4.1.86.Final.jar;%APP_HOME%\lib\netty-transport-classes-kqueue-4.1.86.Final.jar;%APP_HOME%\lib\netty-transport-native-unix-common-4.1.86.Final.jar;%APP_HOME%\lib\netty-transport-4.1.86.Final.jar;%APP_HOME%\lib\netty-buffer-4.1.86.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.86.Final.jar;%APP_HOME%\lib\netty-common-4.1.86.Final.jar;%APP_HOME%\lib\log4j-core-2.18.0.jar;%APP_HOME%\lib\log4j-api-2.18.0.jar;%APP_HOME%\lib\gson-2.9.1.jar;%APP_HOME%\lib\jna-5.12.1.jar;%APP_HOME%\lib\commons-compress-1.21.jar;%APP_HOME%\lib\javacpp-1.5.6.jar;%APP_HOME%\lib\protobuf-java-3.21.5.jar


@rem Execute serving
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %SERVING_OPTS%  -classpath "%CLASSPATH%" ai.djl.serving.ModelServer %*

:end
@rem End local scope for the variables with windows NT shell
if %ERRORLEVEL% equ 0 goto mainEnd

:fail
rem Set variable SERVING_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
set EXIT_CODE=%ERRORLEVEL%
if %EXIT_CODE% equ 0 set EXIT_CODE=1
if not ""=="%SERVING_EXIT_CONSOLE%" exit %EXIT_CODE%
exit /b %EXIT_CODE%

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
